#!/usr/bin/perl -w 
########################################################################
##

use strict;
use Getopt::Long;
use constant {
              OK => 0,
              WARNING => 1,
              CRITICAL => 2,
              UNKNOWN => 3
              };
use constant RETCODES => qw ( OK WARNING CRITICAL UNKNOWN ) ;


my $topdir="/opt/puppet-dashboard";
my $piddir=$topdir . "/tmp/pids";
my $pidfile = $piddir . "/server.pid";
my $pid=`cat $pidfile`;
chomp $pid;
my $ok=0;

foreach my $line(`ps -ef`){
  chomp $line;

  my ($uname,$tpid,@j)=split(/[\s]+/,$line); 
  next if $tpid eq 'PID';
  next unless $tpid == $pid;
  $ok=1;
}

if ($ok){
  printf "OK: Dashboard Running\n";
  exit(OK);
} else { 
  printf "CRITICAL: Dashboard is not running!\n";
  exit(CRITICAL);
}



